Name:           perl-Crypt-PBKDF2
Version:        0.161520
Release:        6%{?dist}
Summary:        PBKDF2 password hashing algorithm
License:        GPL+ or Artistic
Group:          Development/Libraries
URL:            https://metacpan.org/release/Crypt-PBKDF2
Source0:        https://cpan.metacpan.org/modules/by-module/Crypt/Crypt-PBKDF2-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  findutils
BuildRequires:  make
BuildRequires:  perl-interpreter
BuildRequires:  perl-generators
BuildRequires:  perl(Carp)
BuildRequires:  perl(constant)
BuildRequires:  perl(Digest) >= 1.16
BuildRequires:  perl(Digest::HMAC) >= 1.01
BuildRequires:  perl(Digest::SHA)
BuildRequires:  perl(Digest::SHA3) >= 0.22
BuildRequires:  perl(Encode)
BuildRequires:  perl(ExtUtils::MakeMaker)
BuildRequires:  perl(MIME::Base64)
BuildRequires:  perl(Module::Runtime)
BuildRequires:  perl(Moo) >= 2
BuildRequires:  perl(Moo::Role) >= 2
BuildRequires:  perl(namespace::autoclean)
BuildRequires:  perl(Scalar::Util)
BuildRequires:  perl(strict)
BuildRequires:  perl(strictures) >= 2
BuildRequires:  perl(Test::Fatal)
BuildRequires:  perl(Test::More)
BuildRequires:  perl(Try::Tiny) >= 0.04
BuildRequires:  perl(Type::Tiny) >= 1.000005
BuildRequires:  perl(Types::Standard)
BuildRequires:  perl(warnings)
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description
PBKDF2 is a secure password hashing algorithm that uses the techniques of
"key strengthening" to make the complexity of a brute-force attack
arbitrarily high. PBKDF2 uses any other cryptographic hash or cipher (by
convention, usually HMAC-SHA1, but Crypt::PBKDF2 is fully pluggable), and
allows for an arbitrary number of iterations of the hashing function, and a
nearly unlimited output hash size (up to 2**32 - 1 times the size of the
output of the back-end hash). The hash is salted, as any password hash
should be, and the salt may also be of arbitrary size.

%prep
%setup -q -n Crypt-PBKDF2-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
make pure_install DESTDIR=$RPM_BUILD_ROOT

find $RPM_BUILD_ROOT -type f -name .packlist -delete

%{_fixperms} $RPM_BUILD_ROOT/*

%check
make test

%files
%license LICENSE
%doc Changes
%{perl_vendorlib}/*
%{_mandir}/man3/*

%changelog
* Sat Jun 30 2018 Jitka Plesnikova <jplesnik@redhat.com> - 0.161520-6
- Perl 5.28 rebuild

* Thu Feb 08 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.161520-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.161520-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Tue Jun 06 2017 Jitka Plesnikova <jplesnik@redhat.com> - 0.161520-3
- Perl 5.26 rebuild

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.161520-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Mon Aug 01 2016 Jitka Plesnikova <jplesnik@redhat.com> - 0.161520-1
- 0.161520 bump

* Mon May 16 2016 Jitka Plesnikova <jplesnik@redhat.com> - 0.160410-2
- Perl 5.24 rebuild

* Wed Mar 23 2016 Jitka Plesnikova <jplesnik@redhat.com> - 0.160410
- 0.160410 bump; Moose was replaced by Moo

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.150900-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.150900-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Mon Jun 08 2015 Jitka Plesnikova <jplesnik@redhat.com> - 0.150900-2
- Perl 5.22 rebuild

* Thu Apr 30 2015 David Dick <ddick@cpan.org> - 0.150900-1
- Upgrade to 0.150900.  Bugfix

* Sat Oct 18 2014 David Dick <ddick@cpan.org> - 0.142390-1
- Added option for password length limit, add HMACSHA3 hasher

* Mon Sep 01 2014 Jitka Plesnikova <jplesnik@redhat.com> - 0.140890-3
- Perl 5.20 rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.140890-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sun Apr 27 2014 David Dick <ddick@cpan.org> - 0.140890-1
- Initial release
